#========================================================================================
# package      DE_EPAGES::GoogleSmartShopping::Hooks::GoogleSmartShopping
# state        public
#========================================================================================
package DE_EPAGES::GoogleSmartShopping::Hooks::GoogleSmartShopping;

use strict;


sub OnAfterExportPortalConfig() {
    my ($Servlet) = shift;

    my $ErrorPackage = 'DE_EPAGES::GoogleSmartShopping::API::REST::GoogleSmartShoppingProductsExportDriver';

    if ($Servlet->form->existsFormError()) {
        my $Form = $Servlet->form;
        my $aFormErrors = $Form->formErrors();
        my $Shop = $Servlet->object->getSite()->id;
        foreach my $hFormError (@$aFormErrors) {
            if($hFormError->{'Error'}->{'ErrorDefinitionPackage'} eq $ErrorPackage) {
                $hFormError->{'ViewVars'} = {
                    'FormError' => 1,
                    'ViewObjectID' => $Shop,
                    'ViewAction' => 'MBO-ViewGoogleSmartShoppingProductFeed',
                    'ErrorObjectID' => $Shop,
                    'ErrorAction' => 'MBO-ViewGoogleSmartShoppingProductFeed',
                }
            }
        }
    }

    return;
}

1;